#!/bin/sh

# Script para habilitar una puerta bsica
# con traduccin de direcciones (NAT)
# que solo deja pasar el trfico de WEB (puerto 80)
#
# Fraga 12/05/2010
# Ya deben de estar configuradas las interfaces eth0 y eth1
# y debe estar habilitado el traspaso de paquetes entre las interfaces

PUERTOS_USUARIO=1024:

# limpiamos las reglas por defecto
# en INPUT, FORWARD y en OUTPUT
iptables -F

# limpiamos las cadenad del NAT
iptables -F -t NAT

# Bloqueamos todo
iptables -P INPUT DROP 
iptables -P FOWARD DROP 
iptables -P OUTPUT DROP

# habilitamos la interfaz propia
iptables -A INPUT -i lo -j ACCEPT 
iptables -A OUTPUT -o lo -j ACCEPT 

# pasamos solo el trfico WEB
iptables -A FORWARD -p tcp -i eth0 -o eth1 \
	-s 192.168.10.0/24 --sport $PUERTOS_USUARIO \
	-d 0.0.0.0/0 --dport 80 -j ACCEPT
iptables -A FORWARD -p tcp -i eth1 -o eth0 \
	-s 0.0.0.0/0 --sport 80 \
	-d 192.168.10.0/24 --dport $PUERTOS_USUARIO -j ACCEPT

# habilitamos la traduccin de paquetes
iptables -A POSTROUTING -t nat -o eth1 -j MASQUERADE



